<script setup lang="ts" name="QueryForm">
import { computed,ref,watch } from 'vue'
import type { FormInstance } from 'element-plus'
import PageWrapperSearch from '@/components/search/PageWrapperSearch.vue'
// import { useDict } from '@/utils/dict'
// import { listDept } from '@/api/system/dept'// 部门



// const { approve_status, invoice_status} = useDict('approve_status', 'invoice_status')
const emit = defineEmits(['update:modelValue', 'query', 'reset'])
const invoice_status_filter = ref([])
const employeesList = ref([])
const props = defineProps<{
  modelValue: any
}>()



const queryForm = computed({
  get() {
    return props.modelValue
  },
  set(val: any) {
    console.log('query computed', val)
    emit('update:modelValue', val)
  }
})

// 搜索
function onSearch() {
  emit('query')
}

// 重置
function onReset(formRef: FormInstance) {
  queryForm.value.strategyName = ''
  queryForm.value.remarks = ''
  queryForm.value.state = ''
  emit('reset', formRef)
}


</script>

<template>
  <!-- el-form -->
  <page-wrapper-search
    :model="queryForm"
    @search="onSearch"
    @reset="onReset">
    <el-form-item label="策略名" prop="strategyName">
      <el-input
        v-model="queryForm.strategyName"
        placeholder="请输入策略名"
        clearable
      />
    </el-form-item>
    
   
    
    <el-form-item label="备注" prop="remarks">
      <el-input
        v-model="queryForm.remarks"
        placeholder="请输入备注"
        clearable
      />
    </el-form-item>
    
    <el-form-item label="状态" prop="state">
      <el-select
        v-model="queryForm.state"
        placeholder="请选择状态"
        clearable
      >
       <el-option label="全部" value="" />
        <el-option label="已启用" value="1" />
        <el-option label="未启用" value="0" />
      </el-select>
    </el-form-item>
  </page-wrapper-search>
</template>

<style scoped>

</style>
